# Return MySQL name length restrictions

This function lists a MySQL® database's name, username length restrictions, and database prefix.

Important:

  When you disable the MySQL/MariaDB role
  and remote MySQL is not already configured, the system disables this function.

Endpoint: GET /Mysql/get_restrictions
Version: 11.137.9999.96
Security: BasicAuth

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "get_restrictions"

  - `module` (string)
    The name of the module called.
    Example: "Mysql"

  - `result` (object)

  - `result.data` (object)

  - `result.data.max_database_name_length` (integer)
    The maximum length of a MySQL database name.
    Example: 64

  - `result.data.max_username_length` (integer)
    The maximum length of a MySQL database user's name.
    Example: 16

  - `result.data.prefix` (string,null)
    The account's database prefix, if database prefixing is enabled.
* If database prefixing is enabled, a string of up to the first eight characters of the cPanel account username, and an underscore (_).
* If database prefixing is disabled, this is null.
    Example: "user_"

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    * 1 - Success.
* 0 - Failed. Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


